//
//  LittleListViewController.swift
//  JUnionDemo
//
//  Created by Allan on 2020/10/19.
//  Copyright © 2020 hxhg. All rights reserved.
//

import UIKit
import JUnion
class LittleListViewController: UIViewController,JUVideoDelegate {
    
    var littleListVc: JULittleVideoListController!

    override func viewDidLoad() {
        super.viewDidLoad()
        JUUIConfig.littleCommentType = .readWrite
        JUUIConfig.playerContentMode = .resizeAspectFill
        JUUIConfig.littleShowShare = true
        littleListVc = JUService.getLittleListVideoViewController(delegate: self) 
        
        littleListVc!.view.frame = CGRect(x: 0, y: 0, width: self.view.frame.width, height: self.view.frame.height - statusBarHeight - gSafeAreaInsets.bottom - 49)
        self.view.addSubview(littleListVc.view)
        self.addChild(littleListVc)

    }
    //MARK: - JUVideoDelegate
    func firstPlayerStart(videoInfo: JUFeedVideoData, isAD: Bool) {
        print(">>>>>>>>> firstPlayerStart videoID:\(videoInfo.video_id ?? "")")
    }
    
    func playerStart(videoInfo: JUFeedVideoData, isAD: Bool) {
        print(">>>>>>>>> playerStart videoID:\(videoInfo.video_id ?? "")")
    }
    
    func playerPause(videoInfo: JUFeedVideoData, isPause: Bool, isAD: Bool) {
        print(">>>>>>>>> playerPause videoID:\(videoInfo.video_id ?? "")  isPause:\(isPause)")
//        logData.append("\(isPause ? "视频暂停" : "视频播放")")
//        logTableView.reloadData()
    }
    
    func playerEnd(videoInfo: JUFeedVideoData, isAD: Bool) {
        print(">>>>>>>>> playerEnd videoID:\(videoInfo.video_id ?? "")")
    }
    
    func playerError(videoInfo: JUFeedVideoData, error: Error?, isAD: Bool) {
        print(">>>>>>>>> playerError videoID:\(videoInfo.video_id ?? "")")
    }
    
    func ylADInfoLoadSuccess(adID: String) {
//        print(">>>>>>>>> ylADInfoLoadSuccess videoID:\(adID)")
    }
    
    func ylADInfoLoadFail(adID: String, error: Error?) {
//        print(">>>>>>>>> ylADInfoLoadFail videoID:\(adID)")
    }
    
    func clickShareBtn(videoInfo: JUFeedVideoData, isMain: Bool) {
        print(">>>>>>>>> clickShareBtn videoID:\(videoInfo.video_id ?? "")  isMain: \(isMain)")
    }
    
    func clickPraiseBtn(videoInfo: JUFeedVideoData, isPraise: Bool, isAD: Bool) {
        print(">>>>>>>>> clickPraiseBtn videoID:\(videoInfo.video_id ?? "")  isPraise: \(isPraise)")
        logData.append("\(isPraise ? "点赞" : "取消点赞")")
        logTableView.reloadData()
    }
    
    func gotoCPPage(videoInfo: JUFeedVideoData) {
        print(">>>>>>>>> gotoCPPage cpID:\(videoInfo.provider?.id ?? "")")
        logData.append("进入CP页")
        logTableView.reloadData()
        UIApplication.shared.windows.last?.addSubview(logTableView)
    }
    
    func gotoPlayerPage(videoInfo: JUFeedVideoData) {
        print(">>>>>>>>> gotoPlayerPage videoID:\(videoInfo.video_id ?? "")")
        logData.append("进入播放页")
        logTableView.reloadData()
        UIApplication.shared.windows.last?.addSubview(logTableView)
    }
    
    func yl_scrollViewDidScroll(_ scrollView: UIScrollView) {
//        print(">>>>>>>>> yl_scrollViewDidScroll \(scrollView.contentOffset.y)")
    }
    
    func adShowWith(ylID: String, reqId: String, type: Int) {
//        print(">>>>>>>>> adShow ylid: \(ylID)  reqid: \(reqId)  type: \(type)")
    }
    
    func adClickWith(ylID: String, reqId: String, type: Int) {
//        print(">>>>>>>>> adClick ylid: \(ylID)  reqid: \(reqId)  type: \(type)")
    }
}
